precision mediump float;
varying mediump vec4 v_color;
varying mediump vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	float smoothing = 1.0/16.0;
	float distance = texture2D(u_texture, v_texCoord).a;
    float alpha = smoothstep(0.5 - smoothing, 0.5 + smoothing, distance) * v_color.a;
	gl_FragColor = vec4(v_color.rgb, alpha);
}